﻿using MTWorkHR.Application.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Identity
{
    public interface IUserService
    {
        Task<List<UserDto>> GetAll();
        Task<UserDto> GetById(string userId);


        Task Delete(string id);
        Task<UserDto> Create(UserDto input);
        Task<UserDto> Update(UserDto input);
        Task<UserDto> UpdateWithoutChildren(UserDto input);
        Task ForgetPassword(string input);
        Task<bool> ConfirmForgetPassword(ForgetPasswordDto input);
        Task<bool> ResetPassword(ResetPasswordDto input);
    }
}
